Bug 118753 - kword, kspread will not start
kword, kspread will not start
Product: Fedora
Classification: Fedora
Component: koffice (Show other bugs)
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Ngo Than
Depends On:
Blocks: FC2Blocker
  Show dependency treegraph
Reported: 2004-03-19 15:41 EST by Ville Herva
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2004-03-22 17:00:18 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
strace kspread (78.69 KB, application/octet-stream)
2004-03-19 16:34 EST, Ville Herva
no flags Details

  None (edit)
Description Ville Herva 2004-03-19 15:41:29 EST
Description of problem:
I'm running up-to-date Fedora core devel. After upgrading to koffice-1.3-5.1, kspread 
kword etc will not start anymore. The previous version (koffice-1.3-5) worked.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
Actual results:
> kspread        
QPixmap: Cannot create a QPixmap when no GUI is being used
QPixmap: Cannot create a QPixmap when no GUI is being used
eQPixmap: Cannot create a QPixmap when no GUI is being used
QPixmap: Cannot create a QPixmap when no GUI is being used
ckbuildsycoca running...
hotrying without Euro
trying without Euro
> echo $?

Additional info:

May be related to bug #116099, but none of the koffice components work for me.
Comment 1 Ville Herva 2004-03-19 16:34:44 EST
Created attachment 98695 [details]
strace kspread
Comment 2 Ville Herva 2004-03-19 16:37:45 EST
Ok, it's not just the koffice rpm. I downgraded to koffice-1.3-2.i386.rpm from FC 1.90 
(can't find koffice-1.3-5 anymore, and rpmrebuild from a fs backup fails because 
prelink has tampered the executables and md5sums no longer match.) With koffice-1.
3-2.i386.rpm, the problem is still present. Perhaps this is a kdebase or kdelibs problem. 
All other kde apps seem to work, though.
Comment 3 Ngo Than 2004-03-22 13:16:00 EST
i think this issue is probably caused by redhat-menus/kdebase that is
already fixed in rawhide.

could you please update the new redhat-menus-1.3-1, kdelibs.3.2.1-1.4
and kdebase-3.2.1-1.4 in rawhide and try again? Please make sure that
you have to restart KDE after update process!

Comment 4 Ville Herva 2004-03-22 14:35:09 EST
kdelibs was already up-to-date, I upgraded kdebase and redhat-menus (though I'm not 
launching kspread from menus but from command line).

After this upgrade, kspread and kword start well. The bug indeed seems fixed.


Note You need to log in before you can comment on or make changes to this bug.